Results 1 to 11 of 11

Thread: Problem in PHP version selector

  1. #1
    Join Date
    Feb 2013
    Posts
    18

    Problem in PHP version selector

    Hi ,
    I want to use php7.1 and php5.6 .
    but when I compile it , at start of php5.6 this error appear :

    Starting php-fpm56: [06-Nov-2017 15:42:46] WARNING: Nothing matches the include pattern '/usr/local/directadmin/data/users/*/php/php-fpm56.conf' from /usr/local/php56/etc/php-fpm.conf at line 68.
    done

    May I guide me , what should I do ?
    thanks,

    my options.conf is this :

    #PHP Settings
    php1_release=7.1
    php1_mode=php-fpm
    php2_release=5.6
    php2_mode=php-fpm
    opcache=no
    htscanner=yes
    php_ini=no
    php_timezone=IRST
    php_ini_type=production
    ioncube=yes
    zend=yes
    suhosin=no
    x_mail_header=yes

    #MySQL Settings
    mysql=5.6
    mariadb=10.0
    mysql_inst=mysql
    mysql_backup=no
    mysql_backup_dir=/usr/local/directadmin/custombuild/mysql_backups
    mysql_force_compile=no

    #WEB Server Settings
    webserver=apache
    litespeed_serialno=trial
    modsecurity=no
    modsecurity_ruleset=comodo
    apache_ver=2.4
    apache_mpm=auto
    mod_ruid2=no
    harden_symlinks_patch=yes
    use_hostname_for_alias=auto
    redirect_host_https=no

    #WEB Applications Settings
    phpmyadmin=yes
    phpmyadmin_ver=4
    squirrelmail=yes
    roundcube=yes
    webapps_inbox_prefix=no

  2. #2
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,133
    Hello,

    Actually it's a warning only, and it can be ignored.

    What issues do you have? Do you see php-fpm processes running?

    Code:
    ps aux | grep fpm
    ?

  3. #3
    Join Date
    Feb 2013
    Posts
    18
    Hi,
    Problem is when I change to PHP5.6 in directadmin : this error appear on php pages:

    Service Unavailable

    The server is temporarily unable to service your request due to maintenance downtime or capacity problems. Please try again later.

    Additionally, a 503 Service Unavailable error was encountered while trying to use an ErrorDocument to handle the request.

    and no one of site doesn't work with php5.6 , but with php7.1 everything is ok !
    and also I change this , but nothing happen :
    php1_release=7.1
    php1_mode=mod_php

    Can you guide me what should I do ?

    thanks

  4. #4
    Join Date
    Feb 2013
    Posts
    18
    Hi,
    I revers PHP versions ,

    php1_release=5.6
    php1_mode=mod_php
    php2_release=7.1
    php2_mode=php-fpm

    Now websites work with PHP5.6 , but again with Php2 not !
    and same error appear for me .

    should I do anything else to work with second PHP ?

    thanks

  5. #5
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,133
    Please answer my second question from my previous post. I guess you have no PHP-FPM installed and/or running.

  6. #6
    Join Date
    Feb 2013
    Posts
    18
    Quote Originally Posted by zEitEr View Post
    Please answer my second question from my previous post. I guess you have no PHP-FPM installed and/or running.
    Hi,

    This is the result :

    [root@server ~]# ps aux | grep fpm
    root 1918 0.0 0.0 232824 864 ? Ss 15:14 0:00 php-fpm: master process (/usr/local/php71/etc/php-fpm.conf)
    root 13740 0.0 0.0 103588 880 pts/0 S+ 21:57 0:00 grep fpm

  7. #7
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,133
    Is selinux disabled?

  8. #8
    Join Date
    Feb 2013
    Posts
    18
    Quote Originally Posted by zEitEr View Post
    Is selinux disabled?
    Hello Again , And sorry to answer you late .

    yes , it's disabled :
    sestatus
    SELinux status: disabled

    Any suggestion?
    Thanks,

  9. #9
    Join Date
    Apr 2005
    Location
    GMT +7.00
    Posts
    12,133
    Code:
    ./build update
    ./build set php1_release 7.1
    ./build set php1_mode php-fpm
    ./build set php2_release 5.6
    ./build set php2_mode php-fpm
    ./build php
    ./build rewrite_confs


    should fix it.

  10. #10
    Join Date
    Feb 2013
    Posts
    18
    Quote Originally Posted by zEitEr View Post
    Code:
    ./build update
    ./build set php1_release 7.1
    ./build set php1_mode php-fpm
    ./build set php2_release 5.6
    ./build set php2_mode php-fpm
    ./build php
    ./build rewrite_confs


    should fix it.

    Hi ,
    I try it , but it doesn't work !

    services status is this :
    clamd=OFF
    directadmin=ON
    dovecot=ON
    exim=ON
    freshclam=ON
    httpd=ON
    lfd=ON
    mysqld=ON
    named=ON
    php-fpm71=ON
    pure-ftpd=ON
    sshd=ON
    php-fpm56=ON

    and

    Code:
    [root@server custombuild]# ps ax  | grep php
     8761 pts/0    S+     0:00 grep php
    10298 ?        Ss     0:00 php-fpm: master process (/usr/local/php56/etc/php-fpm.conf)                          
    10307 ?        Ss     0:00 php-fpm: master process (/usr/local/php71/etc/php-fpm.conf)
    and

    Code:
    [root@server custombuild]# ls -lad /usr/local/php*/
    drwxr-xr-x.  3 root root 4096 Mar  9  2015 /usr/local/php/
    drwxr-xr-x.  7 root root 4096 Feb  1  2015 /usr/local/php5/
    drwxr-xr-x  10 root root 4096 Nov  5 17:02 /usr/local/php56/
    drwxr-xr-x  10 root root 4096 Jun 21  2017 /usr/local/php70/
    drwxr-xr-x  10 root root 4096 Jun 23  2017 /usr/local/php71/
    and my options.conf is this :
    Code:
    #PHP Settings
    php1_release=7.1
    php1_mode=php-fpm
    php2_release=5.6
    php2_mode=php-fpm
    opcache=no
    htscanner=yes
    php_ini=no
    php_timezone=IRST
    php_ini_type=production
    ioncube=yes
    zend=yes
    suhosin=no
    x_mail_header=yes
    what's wrong in it ?

    thanks ,

  11. #11
    Join Date
    Feb 2013
    Posts
    18
    And also in error log of each is this :

    Code:
    [Thu Mar 29 12:50:44.635118 2018] [proxy:error] [pid 15896:tid 140402822506240] (13)Permission denied: AH02454: FCGI: attempt to connect to Unix domain socket /usr/local/php71/sockets/dmysh001.sock (*) failed
    [Thu Mar 29 12:50:44.635152 2018] [proxy_fcgi:error] [pid 15896:tid 140402822506240] [client 5.219.1.5:55157] AH01079: failed to make connection to backend: httpd-UDS, referer: https://www.m----.com

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •